# Console Module

\
&#x20;Import

```
import console from 'console';
```

The console module works in the development environment to allow developers to log debug\
info to a Chrome browser. To add support for this feature and to start seeing console messages in the Chrome console, [install the Chrome Logger extension](https://chrome.google.com/webstore/detail/chromephp/noaneddfkdjfnfdakjjmocngnfkfehhd)

Standard javascript browser console commands are supported (log, warn, error, info, table, assert, count, time, timeEnd, group, groupEnd, groupCollapsed);

> #### 📘Note
>
> There is some overhead associated with using the console logger, so time and timeEnd should be considered inaccurate.

JavaScript

```
console.time('load');
console.log(org.objects.accounts.find().limit(1).paths('created').next());
console.timeEnd('load');
```

![](https://files.readme.io/2c729f1-Screen_Shot_2017-08-15_at_3.58.55_PM.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.medable.com/cortex-api/scripting/modules-1/console-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
